## Что нужно сделать?

0. Зайти на сайт: [cs-sh.xyz].
1. Зарегистрироваться, если ещё не.
2. Создать репозиторий, называть можно как угодно.
3. Взять HTTPS ссылку к репозиторию (далее `<url>`).
4. Склонировать репозиторий к себе на машину по этой ссылке:
```ssh
git clone <url>
```
5. Открыть склонированный репозиторий как обычную директорию _любым_ привычным
способом:
  - в терминале с помощью команды `cd`, `pwd` также может помочь;
  - в Windows с помощью exlporer, в других ОС -- с помощью его аналогов;

6. Создать файл `README.md`, если он ещё не был создан.

7. Изменить файл `README.md`, наполнить каким-нибудь содержимым.

8. Создать коммит с **содержательным** сообщением.

Для этого добавить файлы в Staging:
```ssh
git add README.md
```
и создать коммит:
```
# git commit -m "some mess"
# лучше
git commit
```
9. Запушить содержимое ветки в ветку `main`.
```sh
git push origin main
```
10. "Отпочковать" новую ветку:
```
git checkout -b name_of_branch
```
11. Изменить или добавить какие-нибудь файлы, создать коммит.
12. Запушить изменения на [cs-sh.xyz] в **свой** (не в данный!) репозиторий в ветку `name_of_branch`.
13. Создать Pull Request (Запрос на слияние) в **СВОЙ**.
репозиторий;

[cs-sh.xyz]: https://cs-sh.xyz
